View Issue Details

IDProjectCategoryView StatusLast Update
0005815GNUnetbuild processpublic2019-11-08 11:29
ReporterschanzenAssigned Toschanzen 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version0.11.7 
Target Version0.11.7Fixed in Version0.11.7 
Summary0005815: macOS warning
Descriptioncommon_logging.c:111:19: warning: unknown attribute 'nonstring' ignored
      [-Wunknown-attributes]
  __attribute__ ((nonstring));
Steps To ReproduceCompile on macOS
TagsNo tags attached.

Activities

Christian Grothoff

2019-07-29 17:57

manager   ~0014757

Could safely be #ifdef'ed to eliminate that attribute if the compiler doesn't support it.

schanzen

2019-07-31 13:50

manager   ~0014761

Fixed in 68064fbe8..37a32e37e like https://patchwork.kernel.org/patch/10608277/

schanzen

2019-11-08 11:29

manager   ~0015067

housekeeping

Issue History

Date Modified Username Field Change
2019-07-21 21:06 schanzen New Issue
2019-07-29 17:57 Christian Grothoff Note Added: 0014757
2019-07-31 13:50 schanzen Assigned To => schanzen
2019-07-31 13:50 schanzen Status new => resolved
2019-07-31 13:50 schanzen Resolution open => fixed
2019-07-31 13:50 schanzen Fixed in Version => 0.11.7
2019-07-31 13:50 schanzen Note Added: 0014761
2019-08-01 10:24 schanzen Status resolved => feedback
2019-08-01 10:24 schanzen Resolution fixed => reopened
2019-08-01 10:24 schanzen Product Version => 0.11.7
2019-08-01 10:24 schanzen Target Version => 0.11.7
2019-08-01 10:24 schanzen Status feedback => resolved
2019-08-01 10:24 schanzen Resolution reopened => fixed
2019-11-08 11:29 schanzen Note Added: 0015067
2019-11-08 11:29 schanzen Status resolved => closed